# Uses of Interface
org.bukkit.entity.Bat

Packages that use Bat
Package
Description
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of Bat in org.bukkit.event.entity

Constructors in org.bukkit.event.entity with parameters of type Bat
Modifier
Constructor
Description
``
`BatToggleSleepEvent(@NotNull Bat what, boolean awake)`